/*
 * LetterOrder - Experimenting with the order of letters in words
 * Copyright (C) 2011-2015 Christian Schenk
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.christianschenk.letterorder;

import org.christianschenk.letterorder.utils.enums.WordDistance;

import com.google.inject.Guice;
import com.google.inject.Injector;

/**
 * Main.
 *
 * @author Christian Schenk
 */
public class Main {

	public static void main(final String[] args) {
		final Injector injector = Guice.createInjector();
		final LetterOrder letterOrder = injector.getInstance(LetterOrder.class);

		// Just a simple example
		final String test = "The quick brown fox jumps over the lazy dog";
		System.out.println(letterOrder.getTextVariant(test, WordDistance.LOW));
		System.out.println(letterOrder.getTextVariant(test, WordDistance.HIGH));
	}
}