/*
 * LetterOrder - Experimenting with the order of letters in words
 * Copyright (C) 2011-2015 Christian Schenk
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.christianschenk.letterorder.utils;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

public class PermutationUtilsTest {

	private PermutationUtils permutationUtils;

	@Before
	public void setup() {
		this.permutationUtils = new PermutationUtils();
	}

	@Test
	public void getPermutations() {
		int[][] perms;

		// n = 1
		perms = this.permutationUtils.getPermutations(1);
		Assert.assertArrayEquals(new int[] { 0 }, perms[0]);
		perms = this.permutationUtils.getPermutations(1, 1);
		Assert.assertArrayEquals(new int[] { 1 }, perms[0]);

		// n = 2
		perms = this.permutationUtils.getPermutations(2, 1);
		Assert.assertArrayEquals(new int[] { 1, 2 }, perms[0]);
		Assert.assertArrayEquals(new int[] { 2, 1 }, perms[1]);

		// n = 3
		perms = this.permutationUtils.getPermutations(3, 1);
		Assert.assertArrayEquals(new int[] { 1, 2, 3 }, perms[0]);
		Assert.assertArrayEquals(new int[] { 1, 3, 2 }, perms[1]);
		Assert.assertArrayEquals(new int[] { 3, 1, 2 }, perms[2]);
		Assert.assertArrayEquals(new int[] { 3, 2, 1 }, perms[3]);
		Assert.assertArrayEquals(new int[] { 2, 3, 1 }, perms[4]);
		Assert.assertArrayEquals(new int[] { 2, 1, 3 }, perms[5]);
	}
}