/*
 * LetterOrder - Experimenting with the order of letters in words
 * Copyright (C) 2011-2015 Christian Schenk
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.christianschenk.letterorder.utils;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

public class StringDistanceTest {

	private StringDistanceUtils stringDistanceUtils;

	@Before
	public void setup() {
		this.stringDistanceUtils = new StringDistanceUtils();
	}

	@Test
	public void getHammingDistance() {
		Assert.assertEquals(0, this.stringDistanceUtils.getHammingDistance("test", "test"));
		Assert.assertEquals(1, this.stringDistanceUtils.getHammingDistance("test", "Test"));
		Assert.assertEquals(2, this.stringDistanceUtils.getHammingDistance("test", "TEst"));
		Assert.assertEquals(3, this.stringDistanceUtils.getHammingDistance("test", "TESt"));
		Assert.assertEquals(4, this.stringDistanceUtils.getHammingDistance("test", "TEST"));

		for (final String[] strings : new String[][] { { "test", null }, { null, "test" }, { null, null }, { "test", "blargh" } }) {
			try {
				this.stringDistanceUtils.getHammingDistance(strings[0], strings[1]);
				Assert.fail("Should throw exception");
			} catch (final Exception ex) {
			}
		}
	}
}