/*
 * LetterOrder - Experimenting with the order of letters in words
 * Copyright (C) 2011-2015 Christian Schenk
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.christianschenk.letterorder.utils;

import java.util.List;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

public class TextUtilsTest {

	private TextUtils textUtils;

	@Before
	public void setup() {
		this.textUtils = new TextUtils();
	}

	@Test
	public void getWords() {
		final List<String> words = this.textUtils.getWords("Ein Text mit Umlauten möchte auseinander genommen werden.");
		Assert.assertEquals(8, words.size());

		for (final String text : new String[] { "", " ", "  ", null })
			Assert.assertEquals(0, this.textUtils.getWords(text).size());
	}
}